### File

`packages/components/eui-snc/eui-snc.component.ts`

### Metadata

selector | `eui-snc`
imports | `EUI_BUTTON`
styleUrls | `./eui-snc.component.scss`
templateUrl | `./eui-snc.component.html`

### Index

###### Properties
showContent string
###### Methods
toggleContent
###### Inputs
dotsLength
###### Outputs
sncToggle
###### HostBindings
class

### Inputs

dotsLength
Default value : `8, { transform: (value: number) => Math.max(0, value) }`
Input to set the length of the dots indicator.

### Outputs

sncToggle
Type : `boolean`
Output event emitter that emits the current visibility state of the content section.

### HostBindings

class
Type : `string`
Default value : `'eui-snc'`

### Methods

toggleContent
`toggleContent()`
Returns : `void`

### Properties

showContent
Type : `WritableSignal<boolean>`
Default value : `signal(false)`
Signal to control the visibility of the content section.

string
Type : `string`
Default value : `'eui-snc'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""